/**
 * 
 */
package org.gcube.informationsystem.context.impl.relations;

import org.gcube.informationsystem.base.impl.relations.BaseRelationImpl;
import org.gcube.informationsystem.context.reference.entities.Context;
import org.gcube.informationsystem.context.reference.relations.IsParentOf;

import com.fasterxml.jackson.annotation.JsonTypeName;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
@JsonTypeName(value=IsParentOf.NAME)
public final class IsParentOfImpl extends BaseRelationImpl<Context, Context> implements IsParentOf {

	/**
	 * 
	 */
	private static final long serialVersionUID = 246200525751824393L;

	protected IsParentOfImpl(){
		super();
	}
	
	public IsParentOfImpl(Context source, Context target) {
		super(source, target);
	}

}
