package org.gcube.informationsystem.types.impl.entities;

import org.gcube.informationsystem.model.reference.entities.Entity;
import org.gcube.informationsystem.model.reference.entities.Facet;
import org.gcube.informationsystem.types.reference.entities.FacetTypeDefinition;

import com.fasterxml.jackson.annotation.JsonTypeName;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
@JsonTypeName(value=FacetTypeDefinition.NAME)
public class FacetTypeDefinitionImpl extends EntityTypeDefinitionImpl implements FacetTypeDefinition {

	/**
	 * Generated Serial Version UID
	 */
	private static final long serialVersionUID = 6268161046955738969L;
	
	protected FacetTypeDefinitionImpl() {
		super();
	}
	
	public FacetTypeDefinitionImpl(Class<? extends Facet> clz) {
		super(clz);
		
		this.superClasses = retrieveSuperClasses(clz, Facet.class, Entity.NAME);
		
	}

}
