/**
 * 
 */
package org.gcube.informationsystem.utils;

import org.gcube.informationsystem.base.reference.entities.BaseEntity;
import org.gcube.informationsystem.base.reference.properties.BaseProperty;
import org.gcube.informationsystem.base.reference.relations.BaseRelation;
import org.gcube.informationsystem.utils.discovery.SchemaAction;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
class ISMappingAction implements SchemaAction {

	public ISMappingAction(){
		
	}
	
	@SuppressWarnings("unchecked")
	@Override
	public <P extends BaseProperty> void managePropertyClass(Class<P> e)
			throws Exception {
		ISMapper.registerSubtypes(e);
	}
	
	@SuppressWarnings("unchecked")
	@Override
	public <E extends BaseEntity> void manageEntityClass(Class<E> e)
			throws Exception {
		ISMapper.registerSubtypes(e);
	}
	
	@SuppressWarnings("unchecked")
	@Override
	public <R extends BaseRelation<? extends BaseEntity, ? extends BaseEntity>> void manageRelationClass(
			Class<R> r) throws Exception {
		ISMapper.registerSubtypes(r);
	}

}
