package org.gcube.informationsystem.types.reference.relations;

import org.gcube.informationsystem.types.impl.relations.ConsistsOfTypeDefinitionImpl;
import org.gcube.informationsystem.types.reference.entities.FacetTypeDefinition;
import org.gcube.informationsystem.types.reference.entities.ResourceTypeDefinition;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
@JsonDeserialize(as = ConsistsOfTypeDefinitionImpl.class)
public interface ConsistsOfTypeDefinition extends RelationTypeDefinition<ResourceTypeDefinition, FacetTypeDefinition> {
	
	public static final String NAME = "ConsistsOfTypeDefinition"; // ConsistsOfTypeDefinition.class.getSimpleName();
	
}
