package org.gcube.informationsystem.types.reference.relations;

import org.gcube.informationsystem.types.impl.relations.IsRelatedToTypeDefinitionImpl;
import org.gcube.informationsystem.types.reference.entities.ResourceTypeDefinition;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
@JsonDeserialize(as = IsRelatedToTypeDefinitionImpl.class)
public interface IsRelatedToTypeDefinition extends RelationTypeDefinition<ResourceTypeDefinition, ResourceTypeDefinition> {
	
	public static final String NAME = "IsRelatedToTypeDefinition"; // IsRelatedToTypeDefinition.class.getSimpleName();
	
}
