/**
 * 
 */
package org.gcube.informationsystem.utils.discovery;

import org.gcube.informationsystem.base.reference.entities.BaseEntity;
import org.gcube.informationsystem.base.reference.properties.BaseProperty;
import org.gcube.informationsystem.base.reference.relations.BaseRelation;

/**
 * @author Luca Frosini (ISTI - CNR)
 *
 */
public interface SchemaAction {

	public <P extends BaseProperty> void managePropertyClass(Class<P> e) throws Exception;
	
	public <E extends BaseEntity> void manageEntityClass(Class<E> e) throws Exception;
	
	public <R extends BaseRelation<? extends BaseEntity, ? extends BaseEntity>> void manageRelationClass(Class<R> r) throws Exception;
	
}
